Tag Archives: LISP

Lisp AutoCAD – Separate Hatch

The topic today: Lisp AutoCAD – Separate Hatch Shortcut command: BRH Step to step as follow: Load Lisp Type BRH and Enter Pick Pline Pick Separative Hatch region Code Lisp: (defun c:BRH () (grtext -1 “”) (setq Pline (car (entsel “\n Pick Pline”)) e (entsel “\nPick Area Hatch “) hObj (car e) pt (cadr e) ) (command “.trim”… Read More »

Lisp AutoCAD – Align Dimension

The topic today: Share Lisp AutoCAD – Align Dimension The shortcut command is BD Step to step use the following: Load Lisp Type BD and press Enter Select Dimensions and Enter Select Point to extend Code Lisp: (defun myerror (s) ; If an error (such as CTRL-C) occurs ; while this command is active… (cond ((= s “quit… Read More »

Lisp AutoCAD – Associative Hatch

The topic today: Lisp AutoCAD – Associative Hatch or Merge Hatch Shortcut command: MH Step to step as follow: Load Lisp into AutoCAD Type MH and press Enter Select Hatch Press Enter Code Lisp: (defun c:mh (/ ss entht sl i dt dtht) (princ “\nMerge Hatch”) (setq ss (ssget ‘((0 . “HATCH”))) sl (if ss (sslength ss) 0… Read More »

Lisp AutoCAD – Total length Line, Polyline, Circle, Arc, Ellipse, Spline

The topic today: Lisp AutoCAD – Total length Line, Polyline, Circle, Arc, Ellipse, Spline To use this Lisp, step to step as following: Load Lisp to AutoCAD Type “TL” and press Enter Select objects need to calculate length Press Enter and Look result Code Lisp: (defun Length1(e) (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e))) ;;;——————————————————————– (defun C:TL( / ss L e)… Read More »